
Redmine - Defect #24016

Completed 500 Internal Server Error   Errno::ENOENT (No such file or directory - getcwd):

2016-10-07 15:30 - clean liquid

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Hello,

I have a problem with create new issue

Internal error

An error occurred on the page you were trying to access.

 If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

 
App 19317 stderr: Completed 200 OK in 46ms (Views: 21.7ms | ActiveRecord: 9.5ms)

App 19317 stderr: Started GET "/projects/flyctrl" for 192.168.169.1 at 2016-10-07 06:12:34 -0700

App 19317 stderr: Processing by ProjectsController#show as HTML

App 19317 stderr:   Parameters: {"id"=>"flyctrl"}

App 19317 stderr:   Current user: admin (id=1)

App 19317 stderr:   Rendered projects/_members_box.html.erb (0.1ms)

App 19317 stderr:   Rendered projects/_sidebar.html.erb (0.6ms)

App 19317 stderr:   Rendered projects/show.html.erb within layouts/base (5.0ms)

App 19317 stderr: Completed 200 OK in 32ms (Views: 15.4ms | ActiveRecord: 7.6ms)

App 19317 stderr: Started GET "/projects/flyctrl/issues/new" for 192.168.169.1 at 2016-10-07 06:17

:05 -0700

App 19317 stderr: Processing by IssuesController#new as HTML

App 19317 stderr:   Parameters: {"project_id"=>"flyctrl"}

App 19317 stderr:   Current user: admin (id=1)

App 19317 stderr:   Rendered issues/_form_custom_fields.html.erb (1.5ms)

App 19317 stderr:   Rendered issues/_attributes.html.erb (7.6ms)

App 19317 stderr:   Rendered issues/_form.html.erb (11.2ms)

App 19317 stderr:   Rendered attachments/_form.html.erb (1.0ms)

App 19317 stderr:   Rendered issues/new.html.erb within layouts/base (17.4ms)

App 19317 stderr: Completed 200 OK in 44ms (Views: 23.9ms | ActiveRecord: 8.7ms)

App 19317 stderr: Started POST "/projects/flyctrl/issues" for 192.168.169.1 at 2016-10-07 06:17:16

 -0700

App 19317 stderr: Processing by IssuesController#create as HTML

App 19317 stderr:   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Qh8wfq6/K2w0TRqIjbbi8W1rdLQSg

jMHuru4SNduc1IWpYEXjTIq10sIYo7oQFB0giPq7PK26GvO0O9oY6wBgA==", "form_update_triggered_by"=>"", "iss

ue"=>{"is_private"=>"0", "tracker_id"=>"1", "subject"=>"aaaaaaaaaaa", "description"=>"aaaaaaaaaaaa

", "status_id"=>"1", "priority_id"=>"2", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"

=>"2016-10-07", "due_date"=>"2016-10-07", "estimated_hours"=>"", "done_ratio"=>"0"}, "was_default_

status"=>"1", "continue"=>"创建并继续", "project_id"=>"flyctrl"}

App 19317 stderr:   Current user: admin (id=1)

App 19317 stderr:   Rendered mailer/_issue.text.erb (1.5ms)

App 19317 stderr:   Rendered mailer/issue_add.text.erb within layouts/mailer (1.8ms)

App 19317 stderr:   Rendered mailer/_issue.html.erb (1.2ms)

App 19317 stderr:   Rendered mailer/issue_add.html.erb within layouts/mailer (1.5ms)

App 19317 stderr: *Completed 500 Internal Server Error in 50ms (ActiveRecord: 17.1ms)*

App 19317 stderr: 

App 19317 stderr: *Errno::ENOENT (No such file or directory - getcwd):*

App 19317 stderr:   config/initializers/10-patches.rb:154:in `deliver'

App 19317 stderr:   app/models/mailer.rb:64:in `block in deliver_issue_add'

App 19317 stderr:   app/models/issue.rb:940:in `each_notification'
App 19317 stderr:   app/models/mailer.rb:63:in `deliver_issue_add'

App 19317 stderr:   app/models/issue.rb:1665:in `send_notification'

App 19317 stderr:   app/models/issue.rb:182:in `create_or_update'

App 19317 stderr:   app/controllers/issues_controller.rb:141:in `create'

App 19317 stderr:   lib/redmine/sudo_mode.rb:63:in `sudo_mode'

App 19317 stderr:

History

#1 - 2016-10-08 03:31 - clean liquid

after I have upgrade to 3.3.0 stable,it works well.

#2 - 2016-10-08 05:47 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 3.2 does not support Ruby 2.3.

Files
